Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.parser
Class HL7Messages

    java.lang.Object
      com.stc.hl7.parser.HL7Messages

    public class HL7Messages

extends java.lang.Object

HL7 Messages is a container class for HL7 Events, HL7 Segments, and HL7 Components.

Version:
  $Revision: 1.19 $
Author:
  Alexander Fung

Nested Class Summary
`static interface` | `HL7Messages.DelimData` Enumerated constants for the delimiter values

Constructor Summary
`HL7Messages()`

Method Summary
`NodeDescList` | `getComponents()` Gets events for this HL7Messages object
`java.util.ArrayList` | `getDelims()` Retrieves the delimiter array
`java.util.Set` | `getEvents()` Gets events for this HL7Messages object
`static byte[]` | `getLevel5Delimiter()` Gets Level5 Delimiter
`NodeDescList` | `getSegments()` Gets events for this HL7Messages object
`void` | `setComponents(NodeDescList composites)` Sets components for this HL7Messages object
`void` | `setEvents(java.util.Set events)` Sets events for this HL7Messages object
`void` | `setSegments(NodeDescList segments)` Sets events for this HL7Messages object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HL7Messages

    public HL7Messages()

Method Detail

### getLevel5Delimiter

    public static byte[] getLevel5Delimiter()

  Gets Level5 Delimiter

  Returns:
    byte[]

### getEvents

    public java.util.Set getEvents()

  Gets events for this HL7Messages object

  Returns:
    A set of event nodes

### getSegments

    public NodeDescList getSegments()

  Gets events for this HL7Messages object

  Returns:
    A list of segment nodes

### getComponents

    public NodeDescList getComponents()

  Gets events for this HL7Messages object

  Returns:
    A list of composite nodes

### setEvents

    public void setEvents(java.util.Set events)

  Sets events for this HL7Messages object

  Parameters:
    `events` - A list of event nodes

### setSegments

    public void setSegments(NodeDescList segments)

  Sets events for this HL7Messages object

  Parameters:
    `segments` - A list of segment nodes

### setComponents

    public void setComponents(NodeDescList composites)

  Sets components for this HL7Messages object

  Parameters:
    `composites` - A list of composite nodes

### getDelims

    public java.util.ArrayList getDelims()

  Retrieves the delimiter array

  Returns:
    An ArrayList of delimiters

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD